Taggers

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE
POST

List all taggers

Required API key scopes

tagger:read

Query parameters

  • enabled
    boolean
  • id__in
    array
  • limit
    integer
  • offset
    integer
  • order_by
    array
  • search
    string

Response


Example request

GET /api/environments/:project_id/taggers
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/taggers/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"enabled": true,
"tagger_type": "llm",
"tagger_config": {
"prompt": "string",
"tags": [
{
"name": "string",
"description": ""
}
],
"min_tags": 0,
"max_tags": 1
},
"conditions": [
{
"id": "string",
"rollout_percentage": 100,
"properties": [
{}
]
}
],
"model_configuration": {
"provider": "openai",
"model": "string",
"provider_key_id": "f265db88-9bcc-4e5b-add5-bfd9a815465c",
"provider_key_name": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true
}
]
}

Create taggers

Required API key scopes

tagger:write

Request parameters

  • name
    string
  • description
    string
  • enabled
    boolean
  • tagger_type
    Default: llm
  • tagger_config
  • conditions
    Click to open
    array
  • model_configuration

Response


Example request

POST /api/environments/:project_id/taggers
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/taggers/\
-d name="string",\
-d tagger_config=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"enabled": true,
"tagger_type": "llm",
"tagger_config": {
"prompt": "string",
"tags": [
{
"name": "string",
"description": ""
}
],
"min_tags": 0,
"max_tags": 1
},
"conditions": [
{
"id": "string",
"rollout_percentage": 100,
"properties": [
{}
]
}
],
"model_configuration": {
"provider": "openai",
"model": "string",
"provider_key_id": "f265db88-9bcc-4e5b-add5-bfd9a815465c",
"provider_key_name": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true
}

Retrieve taggers

Required API key scopes

tagger:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:project_id/taggers/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/taggers/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"enabled": true,
"tagger_type": "llm",
"tagger_config": {
"prompt": "string",
"tags": [
{
"name": "string",
"description": ""
}
],
"min_tags": 0,
"max_tags": 1
},
"conditions": [
{
"id": "string",
"rollout_percentage": 100,
"properties": [
{}
]
}
],
"model_configuration": {
"provider": "openai",
"model": "string",
"provider_key_id": "f265db88-9bcc-4e5b-add5-bfd9a815465c",
"provider_key_name": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true
}

Update taggers

Required API key scopes

tagger:write

Path parameters

  • id
    string

Request parameters

  • name
    string
  • description
    string
  • enabled
    boolean
  • tagger_type
    Default: llm
  • tagger_config
  • conditions
    Click to open
    array
  • model_configuration
  • deleted
    boolean

Response


Example request

PATCH /api/environments/:project_id/taggers/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/taggers/:id/\
-d name="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"enabled": true,
"tagger_type": "llm",
"tagger_config": {
"prompt": "string",
"tags": [
{
"name": "string",
"description": ""
}
],
"min_tags": 0,
"max_tags": 1
},
"conditions": [
{
"id": "string",
"rollout_percentage": 100,
"properties": [
{}
]
}
],
"model_configuration": {
"provider": "openai",
"model": "string",
"provider_key_id": "f265db88-9bcc-4e5b-add5-bfd9a815465c",
"provider_key_name": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"deleted": true
}

Delete taggers

Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true

Required API key scopes

tagger:write

Path parameters

  • id
    string

Example request

DELETE /api/environments/:project_id/taggers/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/taggers/:id/

Example response

Status 405 No response body

Create taggers test hog

Test Hog tagger code against sample events without saving.

Required API key scopes

tagger:read

Request parameters

  • source
    string
  • sample_count
    integer
    Default: 5
  • tags
    Click to open
    array

Response


Example request

POST /api/environments/:project_id/taggers/test_hog
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/taggers/test_hog/\
-d source="string"

Example response

Status 200
RESPONSE
{
"results": [
{
"event_uuid": "string",
"trace_id": "string",
"input_preview": "string",
"output_preview": "string",
"tags": [
"string"
],
"reasoning": "string",
"error": "string"
}
],
"message": "string"
}

Community questions

Questions about this page? or post a community question.